at.chipkarte.client.bkf.soap.constants

## Class BkfExceptionConstants

- Object
- - at.chipkarte.client.bkf.soap.constants.BkfExceptionConstants

-     public class BkfExceptionConstants
      extends Object

  Fehlerkonstanten für die BkfException.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CREATE_QUITTUNG_FAILED` Die Empfangsbestätigung konnte nicht erfolgreich erstellt beziehungsweise signiert werden.
    `static int` | `EINLADUNG_STATUS_CHANGED` Der Status des BKF-Leistungsanspruch hat sich zwischenzeitlich verändert.
    `static int` | `INTERNAL_ERROR` Es ist ein unerwarteter Fehler aufgetreten.
    `static int` | `KEYS_NOT_FOUND` Ein oder mehrere Schlüssel konnten nicht gefunden werden.
    `static int` | `KONSULTATION_EINLADUNG_NOT_FOUND` Zur angegebenen Konsultation kann kein gültiger BKF-Leistungsanspruch ermittelt werden bzw. keine Dokumentation (mehr) erstellt werden.
    `static int` | `KONSULTATION_INVALID` Die übergebene Konsultation ist ungültig.
    `static int` | `KONSULTATION_NOT_VALID` Die angegebene Konsultation ist nicht (mehr) zulässig zur Erfassung der gewählten Dokumentation.
    `static int` | `KONSULTATION_TOKENID_MISMATCH` Die übergebene Konsultation ist nicht passend zum übergebenen BKF-Leistungsanspruch.
    `static int` | `LEISTUNGSDATUM_EINLADUNG_NOT_FOUND` Zum angegebenen Leistungsdatum kann kein gültiger BKF-Leistungsanspruch ermittelt werden bzw. keine Dokumentation (mehr) erstellt werden.
    `static int` | `LEISTUNGSDATUM_NOT_VALID` Das angegebene Leistungsdatum ist nicht zulässig zur Erfassung der gewählten Dokumentation.
    `static int` | `MAX_RESULTS_EXCEEDED` Die Anzahl der gefundenen Treffer überschreitet die maximal zulässige Anzahl von .
    `static int` | `NO_KONSULTATION_FOUND` Es existiert keine passende Konsultation zur Vertragspartnernummer und der SV-Nummer .
    `static int` | `SV_NUMMER_EINLADUNG_NOT_FOUND` Es existiert kein passender BKF-Leistungsanspruch für die SV-Nummer .
    `static int` | `SV_NUMMER_INVALID` Die SV-Nummer ist im e-card System nicht bekannt.
    `static int` | `TOKEN_ALREADY_BONDED_TO_OTHER_DOKUTYP` Der BKF-Leistungsanspruch wurde bereits mit einem anderen Dokumentationstyp in Anspruch genommen.
    `static int` | `TOKEN_NOT_AVAILABLE_AND_BONDED_TO_OTHER_DOKUTYP` Es konnte kein verwendbarer BKF-Leistungsanspruch ermittelt werden.
    `static int` | `TOKEN_NOT_AVAILABLE_AND_TIME_EXPIRED` Es konnte kein verwendbarer BKF-Leistungsanspruch ermittelt werden.
    `static int` | `TOKENID_NOT_VALID` Der übergebene BKF Leistungsanspruch <Token-ID> ist ungültig.
    `static int` | `VPNR_KONS_EINLADUNG_NOT_AVAILABLE` Der BKF-Leistungsanspruch wurde bereits von einem anderen Vertragspartner beansprucht.
    `static int` | `VPNR_SCR_EINLADUNG_NOT_AVAILABLE` Der BKF-Leistungsanspruch wurde bereits durch Sie oder einen anderen Vertragspartner in Anspruch genommen.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BkfExceptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SV_NUMMER_INVALID

          public static final int SV_NUMMER_INVALID

      Die SV-Nummer ist im e-card System nicht bekannt.
      ORCLI-Code: ZS-1800001
      See Also:
        Constant Field Values

    - #### KONSULTATION_EINLADUNG_NOT_FOUND

          public static final int KONSULTATION_EINLADUNG_NOT_FOUND

      Zur angegebenen Konsultation kann kein gültiger BKF-Leistungsanspruch ermittelt werden bzw. keine Dokumentation (mehr) erstellt werden.
      ORCLI-Code: ZS-1800002
      See Also:
        Constant Field Values

    - #### LEISTUNGSDATUM_EINLADUNG_NOT_FOUND

          public static final int LEISTUNGSDATUM_EINLADUNG_NOT_FOUND

      Zum angegebenen Leistungsdatum kann kein gültiger BKF-Leistungsanspruch ermittelt werden bzw. keine Dokumentation (mehr) erstellt werden.
      ORCLI-Code: ZS-1800003
      See Also:
        Constant Field Values

    - #### SV_NUMMER_EINLADUNG_NOT_FOUND

          public static final int SV_NUMMER_EINLADUNG_NOT_FOUND

      Es existiert kein passender BKF-Leistungsanspruch für die SV-Nummer . Die Erfassung der gewählten Dokumentation ist nicht möglich.
      ORCLI-Code: ZS-1800004
      See Also:
        Constant Field Values

    - #### VPNR_KONS_EINLADUNG_NOT_AVAILABLE

          public static final int VPNR_KONS_EINLADUNG_NOT_AVAILABLE

      Der BKF-Leistungsanspruch wurde bereits von einem anderen Vertragspartner beansprucht. Die Erfassung der gewählten Dokumentation ist nicht möglich.
      ORCLI-Code: ZS-1800005
      See Also:
        Constant Field Values

    - #### VPNR_SCR_EINLADUNG_NOT_AVAILABLE

          public static final int VPNR_SCR_EINLADUNG_NOT_AVAILABLE

      Der BKF-Leistungsanspruch wurde bereits durch Sie oder einen anderen Vertragspartner in Anspruch genommen. Eine weitere Inanspruchnahme ist nicht möglich.
      ORCLI-Code: ZS-1800006
      See Also:
        Constant Field Values

    - #### KEYS_NOT_FOUND

          public static final int KEYS_NOT_FOUND

      Ein oder mehrere Schlüssel konnten nicht gefunden werden.
      ORCLI-Code: ZS-1800007
      See Also:
        Constant Field Values

    - #### KONSULTATION_INVALID

          public static final int KONSULTATION_INVALID

      Die übergebene Konsultation ist ungültig.
      ORCLI-Code: ZS-1800008
      See Also:
        Constant Field Values

    - #### CREATE_QUITTUNG_FAILED

          public static final int CREATE_QUITTUNG_FAILED

      Die Empfangsbestätigung konnte nicht erfolgreich erstellt beziehungsweise signiert werden.
      ORCLI-Code: ZS-1800009
      See Also:
        Constant Field Values

    - #### MAX_RESULTS_EXCEEDED

          public static final int MAX_RESULTS_EXCEEDED

      Die Anzahl der gefundenen Treffer überschreitet die maximal zulässige Anzahl von . Bitte die Auswahl einschränken.
      ORCLI-Code: ZS-1800010
      See Also:
        Constant Field Values

    - #### EINLADUNG_STATUS_CHANGED

          public static final int EINLADUNG_STATUS_CHANGED

      Der Status des BKF-Leistungsanspruch hat sich zwischenzeitlich verändert.
      ORCLI-Code: ZS-1800011
      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      Es ist ein unerwarteter Fehler aufgetreten.
      ORCLI-Code: CL-S0012
      See Also:
        Constant Field Values

    - #### NO_KONSULTATION_FOUND

          public static final int NO_KONSULTATION_FOUND

      Es existiert keine passende Konsultation zur Vertragspartnernummer und der SV-Nummer . Die Erfassung der gewählten Dokumentation ist nicht möglich.
      ORCLI-Code: ZS-1800012
      See Also:
        Constant Field Values

    - #### TOKEN_ALREADY_BONDED_TO_OTHER_DOKUTYP

          public static final int TOKEN_ALREADY_BONDED_TO_OTHER_DOKUTYP

      Der BKF-Leistungsanspruch wurde bereits mit einem anderen Dokumentationstyp in Anspruch genommen. Die Erfassung der gewählten Dokumentation ist nicht möglich. ORCLI-Code: ZS-1800015
      See Also:
        Constant Field Values

    - #### KONSULTATION_NOT_VALID

          public static final int KONSULTATION_NOT_VALID

      Die angegebene Konsultation ist nicht (mehr) zulässig zur Erfassung der gewählten Dokumentation.
      ORCLI-Code: ZS-1800013
      See Also:
        Constant Field Values

    - #### LEISTUNGSDATUM_NOT_VALID

          public static final int LEISTUNGSDATUM_NOT_VALID

      Das angegebene Leistungsdatum ist nicht zulässig zur Erfassung der gewählten Dokumentation.
      ORCLI-Code: ZS-1800014
      See Also:
        Constant Field Values

    - #### TOKENID_NOT_VALID

          public static final int TOKENID_NOT_VALID

      Der übergebene BKF Leistungsanspruch <Token-ID> ist ungültig.
      ORCLI-Code: ZS-1800016
      See Also:
        Constant Field Values

    - #### KONSULTATION_TOKENID_MISMATCH

          public static final int KONSULTATION_TOKENID_MISMATCH

      Die übergebene Konsultation ist nicht passend zum übergebenen BKF-Leistungsanspruch.
      ORCLI-Code: ZS-1800017
      See Also:
        Constant Field Values

    - #### TOKEN_NOT_AVAILABLE_AND_BONDED_TO_OTHER_DOKUTYP

          public static final int TOKEN_NOT_AVAILABLE_AND_BONDED_TO_OTHER_DOKUTYP

      Es konnte kein verwendbarer BKF-Leistungsanspruch ermittelt werden. Die verfügbaren Leistungsansprüche wurden bereits (möglicherweise mit einem anderen Dokumentationstyp) in Anspruch genommen.
      ORCLI-Code: ZS-1800018
      See Also:
        Constant Field Values

    - #### TOKEN_NOT_AVAILABLE_AND_TIME_EXPIRED

          public static final int TOKEN_NOT_AVAILABLE_AND_TIME_EXPIRED

      Es konnte kein verwendbarer BKF-Leistungsanspruch ermittelt werden. Die verfügbaren Leistungsansprüche wurden bereits von einen anderen Vertragspartner in Anspruch genommen bzw. ist die Erfassung einer Folge-/Korrekturdokumentation nicht mehr zulässig.
      ORCLI-Code: ZS-1800019
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BkfExceptionConstants

          public BkfExceptionConstants()